IT: OTS (China) - 1000 #475
v4.0: Clean - up

06/23/2025 12:48 PM - Xihua Fan

Status: oo0 Start date: 09/01/2025
Priority: aa Due date: 12/31/2025
Assignee: Junyi Zhang % Done: 90%
Category: Estimated time: 100.00 hours
Target version: v4.0 Spent time: 0.00 hour
Description

Background

1.0000000000000DDiry Datall00000000000000D00DO0DO0DOD

Task Details

e 1.00000000D

—— Order
TRUNCATE
TRUNCATE
TRUNCATE
TRUNCATE
TRUNCATE
TRUNCATE
TRUNCATE
TRUNCATE

—-— Packing
TRUNCATE
TRUNCATE
TRUNCATE
TRUNCATE
TRUNCATE
TRUNCATE

Orderi 00

ots_order;

ots_order_favorite;
ots_order_history;
ots_order_product;
ots_order_product_option;
ots_order_product_file;
ots_order_product_proof_image;
ots_order_filter;

TABLE ots_shipping_packing_carton;

TABLE ots_shipping_packing_carton_number;
TABLE ots_shipping_packing_carton_product;
TABLE ots_shipping_packing_carton_label;

TABLE ots_shipping_packing_carton_custom_declaration;

TABLE ots_shipping_history;

e 200000000 Order Design files / Proof files /010000

1. Design files:

00000 storage/upload/order

2. Proof

files:

00000 storage/image/order
00000 storage/image/cache/order
3. Custom declaration files:

00000 storage/download/custom_declaration/{year}

v4 coding standard:

1. Gitl0

#xxx(redmine number): xxx(redmine title) - xxx(U000000)

2.0000

2.1: [00Public -> Protected -> Private
2.2: 0000000sBX

a0

3. mvcLivanallll
3.1: v3nval000000000000 order.php, order_v3.php
3.2: system0000000000000user_v3
- Note: frontl$this->userllv4l0000$this->customer, Dv4l0000$this->user

8.3: 000000vawnva0000000new User V3
4. 0000
tDwig, js, css (js, cssU000000cssO0D)

5. 0000
l[\|/IVCL (LOenlcn)

6. 00
1.000

/**
* XXX

* @copyright RedBlue-OTS 2024
* @version v4

=/
2. 00000000 + 00000
/**
* @param xxx S$XXX

* @param xxx $XXX
* @return xxx

Output
e Report and Solution

Others

History

#1 - 06/23/2025 12:50 PM - Xihua Fan
- Subject changed from v4.0: clean - up to v4.0: Clean - up

#2 - 06/23/2025 12:54 PM - Zhongbao Ye
- Description updated

#3 - 06/23/2025 01:00 PM - Junyi Zhang

- Description updated

#4 - 06/23/2025 01:03 PM - Xihua Fan

- Description updated

#5 - 06/23/2025 01:17 PM - Junyi Zhang

- Description updated

#6 - 08/04/2025 11:05 AM - Xihua Fan
- Due date changed from 07/31/2025 to 09/30/2025
- Start date changed from 06/23/2025 to 09/01/2025

#7 - 09/22/2025 02:18 PM - Junyi Zhang

- Description updated
#8 - 09/22/2025 02:23 PM - Zhongbao Ye
- Description updated

#9 - 11/28/2025 02:56 PM - Xihua Fan
- Due date changed from 09/30/2025 to 12/31/2025
